# Preparation time update **POST /channel/prep_time** Preparation time update for an order happens when a **POS** triggers that action in order to optimize the order flow in the kitchen and pick up procedure for drivers. Confirmation of each incoming preparation time with an `HTTP status 200` is necessary.
The new **`pickupTime`** sent to the channel will take into consideration the update sent by the POS. The channel can consider as valid this new **`pickupTime`**. ## Servers - Staging Environment: https://api.staging.deliverect.com (Staging Environment) ## Authentication methods - Bearer auth ## Parameters ### Body: application/json (object) - **channelOrderId** (string) The unique ID of the order sourced from the ordering channel - **orderId** (string) The unique ID of the order in Deliverect - **location** (string) The unique ID of the location in Deliverect - **status** (integer) The status from the supported list of values for order status updates. - **pickupTime** (string(date-time)) The updated pickup time in UTC (yyyy-MM-ddTHH:mm:ssZ) ## Responses ### 200 Ok ### 400 Bad Request [Powered by Bump.sh](https://bump.sh)